ru.bitel.bgbilling.kernel.event.events

## Class GetAdditionalActionListEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.GetAdditionalActionListEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    GetAdditionalWebActionListEvent

      public class GetAdditionalActionListEvent
      extends LocalEvent

  Синхронное событие - получение списка доп. действия для договора.
  Создание списка доп. действий, доступных к вызову в карточке договора.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GetAdditionalActionListEvent()`
    `` | `GetAdditionalActionListEvent(int userId, int cid)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `actionAllowed(int id)` Возвращает, содержится ли действие с данным кодом в списке разрешенных.
    `void` | `addAction(int id, java.lang.String title)` Добавление доп. действия
    `void` | `addAction(int id, java.lang.String title, java.lang.String description)` Добавление доп. действия
    `java.util.List<AdditionalContractAction>` | `getActionList()` Возвращает список дополнительных действий (вызывается биллингом после обработки события).
    `java.util.List<AdditionalContractAction>` | `getActionListWithDescription()` Возвращает список дополнительных действий с описанием задачи в title(вызывается биллингом после обработки события).

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAdditionalActionListEvent

          protected GetAdditionalActionListEvent()

    - #### GetAdditionalActionListEvent

          public GetAdditionalActionListEvent(int userId,
                                              int cid)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - - id договора

  - ### Method Detail

    - #### getActionList

          public java.util.List<AdditionalContractAction> getActionList()

      Возвращает список дополнительных действий (вызывается биллингом после обработки события).
      Returns:
        actionList - список доп. действий

    - #### getActionListWithDescription

          public java.util.List<AdditionalContractAction> getActionListWithDescription()

      Возвращает список дополнительных действий с описанием задачи в title(вызывается биллингом после обработки события).
      Returns:
        actionList - список доп. действий

    - #### addAction

          public void addAction(int id,
                                java.lang.String title)

      Добавление доп. действия
      Parameters:
        `id` - код действия
        `title` - название

    - #### addAction

          public void addAction(int id,
                                java.lang.String title,
                                java.lang.String description)

      Добавление доп. действия
      Parameters:
        `id` - код действия
        `title` - название

    - #### actionAllowed

          public boolean actionAllowed(int id)

      Возвращает, содержится ли действие с данным кодом в списке разрешенных.
      Parameters:
        `id` - код действия
      Returns: